summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorKumar Gala <galak@kernel.crashing.org>2006-02-22 14:15:41 -0600
committerKumar Gala <galak@kernel.crashing.org>2006-02-22 14:15:41 -0600
commit79582020313e6d992a3bac71cf3a9b337f9ac7f7 (patch)
tree5eefe0c7b244ffd0798e64f9a83ec7084032a816 /tools
parent230b31febf39f9d9f19679cf0112d9e30415122d (diff)
parent6624b687bc2b747233090e67628df37d1c84ed17 (diff)
downloadu-boot-imx-79582020313e6d992a3bac71cf3a9b337f9ac7f7.zip
u-boot-imx-79582020313e6d992a3bac71cf3a9b337f9ac7f7.tar.gz
u-boot-imx-79582020313e6d992a3bac71cf3a9b337f9ac7f7.tar.bz2
Merge rsync://rsync.denx.de/git/u-boot
Diffstat (limited to 'tools')
-rw-r--r--tools/mkimage.c2
-rwxr-xr-xtools/setlocalversion22
2 files changed, 23 insertions, 1 deletions
diff --git a/tools/mkimage.c b/tools/mkimage.c
index fbc1a12..70452db 100644
--- a/tools/mkimage.c
+++ b/tools/mkimage.c
@@ -383,7 +383,7 @@ NXTARG: ;
if (opt_type == IH_TYPE_MULTI || opt_type == IH_TYPE_SCRIPT) {
char *file = datafile;
- unsigned long size;
+ uint32_t size;
for (;;) {
char *sep = NULL;
diff --git a/tools/setlocalversion b/tools/setlocalversion
new file mode 100755
index 0000000..9a23825
--- /dev/null
+++ b/tools/setlocalversion
@@ -0,0 +1,22 @@
+#!/bin/sh
+# Print additional version information for non-release trees.
+
+usage() {
+ echo "Usage: $0 [srctree]" >&2
+ exit 1
+}
+
+cd "${1:-.}" || usage
+
+# Check for git and a git repo.
+if head=`git rev-parse --verify HEAD 2>/dev/null`; then
+ # Do we have an untagged version?
+ if [ "`git name-rev --tags HEAD`" = "HEAD undefined" ]; then
+ printf '%s%s' -g `echo "$head" | cut -c1-8`
+ fi
+
+ # Are there uncommitted changes?
+ if git diff-files | read dummy; then
+ printf '%s' -dirty
+ fi
+fi